Subject: Re: bug#12041: Issues running the testsuite as root

From: Dennis Clarke <[email-masked]>
Date: Wed, 25 Jul 2012 09:26:31 -0400

> > 
> >> The attached patch should solve the issue.  Could you give it a try?
> > 
> > Seems to fix that. 
> >
> Good, I will soon apply it then.

  And by the way, thank you for truely awesome response speed and totally cool way that you just jump in a get things done. I think the open source world needs a lot more of guys like you. 

Me, I just break stuff and try to fix it :-) 

> > However I am fairly certian that all files are not executable from the
> > perspective of the root user. That seems absurd.
> >
> That might well depend by the shell you are using maybe (ore more precisely,
> in this case, the one that is selected by the configure running in the 
> test scripts).

I was thinking that too. I did run those tests with /bin/ksh as opposed to 
the bash shell. 

> Could you try what happens issuing this command as root with all the shells
> you have at your disposal (/bin/sh, /usr/xpg4/bin/sh, /bin/ksh and 
> bash at least)?

I'll see if I can find the enthusiasm for it ;-) 

>     test -x /etc/passwd; echo $?
> 
> Anyway, the Autoconf manual reads:
> 
>     For historical reasons, Posix reluctantly allows implementations of
>     'test -x' that will succeed for the root user, even if no execute
>     permissions are present.

wow. nice one there.  Who would have guessed. I could go dig in at the OpenGroup website and check on this but again, one has to ask "why?"

As far as I am concerned we have a test that passes as expected now regardless if one is root user ( stupidly ) or otherwise. All other tests seems to be fine. I say move on to other items.

> So my patch might be a good idea regardless of your use case, just as 
> a way to err on the side of safety.

I salute that thinking. 

Also, if you ever, for whatever reasons, want access to Solaris systems, just drop me a line with a public key and its done.

Dennis